##
## EPITECH PROJECT, 2017
## Makefile
## File description:
## Makes unit tests
##

SRC	=	$(SRC_DIR)/XXXX.c

SRC_DIR	=	$(realpath ./src)

SRC_UT	=	$(SRC_UT_DIR)/tests_XXXX.c

SRC_UT_DIR	=	$(realpath .)

DEST_A	=	$(realpath ../lib/my)

NAME	=	units

OBJ	=	$(SRC:.c=.o) $(SRC_UT:.c=.o)

CFLAGS	=	-Wall -Wextra --coverage	\
		-Iinclude

LFLAGS	=	-L$(DEST_A) -lmy

LDFLAGS	=	-lcriterion -lgcov

all:	$(NAME)

$(NAME):	$(OBJ)
	make -C $(DEST_A)
	gcc -o $(NAME) $(OBJ) $(LFLAGS) $(LDFLAGS)

clean:
	rm -f $(OBJ)
	make -C $(DEST_A) clean

fclean:	clean
	rm -f $(NAME)
	make -C $(DEST_A) fclean

re:	fclean all
